/*
Theme Name: Astra Child
Template: astra
Author: SlyOss
Version: 1.00.1765996223
Updated: 2025-12-17 19:30:23

*/

.custom-logo {border-radius:50%;
box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.3);transition: transform .4s;}	
.custom-logo:hover{box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.5);
transform: scale(1.04);	}

.ast-blog-layout-4-grid .ast-article-inner {box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.3);transition: transform .4s;}
.ast-blog-layout-4-grid .ast-article-inner:hover {box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.5);transform: scale(1.04);	}
	
.site-below-footer-wrap[data-section="section-below-footer-builder"] {border-style: none;}
.trail-items{font-size:80%;}

#primary {margin:0;}

body.archive .ast-archive-description{padding:0 0 0 0;}
.ast-container, .ast-container-fluid {padding-top: 20px;}
.ast-plain-container.ast-no-sidebar #primary {margin-top: 0px; margin-bottom: 60px;}

/* bas de page */
#ast-scroll-top {border-radius:50%;
box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.5);
transition: transform .4s;}
#ast-scroll-top:hover {
box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.5);
border-radius:50%;	
transform: scale(1.15)
}
/* Menu principal en icone */
/*
.main-header-menu > .menu-item > .menu-link{transition: transform .4s;}
.main-header-menu > .menu-item > .menu-link:hover{transform: scale(1.2);}
*/
.ast-desktop .main-header-menu.ast-menu-shadow .sub-menu{box-shadow: none; padding-left: 10px; border:none; }
.sub-menu:hover{box-shadow: none; border: none; }
/*  */
a.menu-link img.gravatar.avatar.avatar-40.um-avatar.um-avatar-uploaded {border-radius:50%; box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.3); transition: transform .4s;}
a.menu-link img.gravatar.avatar.avatar-40.um-avatar.um-avatar-uploaded:hover{transform: scale(1.15)}

.dashicons{transition: transform .6s;}
.dashicons:hover{transform: scale(1.4);}

i{transition: transform .6s;}
i:hover{transform: scale(1.4);}

.entry-header{
	margin-top: 35px;
}

/*  */
.um input[type="submit"].um-button{background:#780000!important; box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.5);transition: transform .4s;}
.um input[type="submit"].um-button:hover{color: #ffffff; transform: scale(1.15)}

.um .um-cover-add:hover, .um .um-field-checkbox.active:not(.um-field-radio-state-disabled) i, .um .um-field-radio.active:not(.um-field-radio-state-disabled) i, .um .um-item-meta a, .um .um-member-less a:hover, .um .um-member-more a:hover, .um .um-member-name a:hover, .um .um-members-pagi a:hover, .um .um-profile-subnav a.active, .um .um-tip:hover, .um-account-name a:hover, .um-account-nav a.current, .um-account-side li a.current span.um-account-icon, .um-account-side li a.current:hover span.um-account-icon, .um-dropdown li a:hover, i.um-active-color, span.um-active-color{color: #780000;}
/* 
h2 .entry-title ast-blog-single-element a:hover{font-size:1.60rem;}*/

.ast-builder-menu-mobile {
	text-align:right;		
}
@media (max-width: 921px) {
	.ast-builder-menu-mobile {
	text-align:right;		
}
}

.wp-post-image{object-fit:cover;}


/* mini-card-grid */
.alm-header-block{
	min-height: 250px;	
}
/*
.body-min-card {
  background-color: white;
  height:450px;
  display: grid;
  grid-template-columns: 1fr 300px 870px 1fr;
  grid-template-rows: 1fr 400px 1fr;
  justify-content: center;
  align-items: center;
  color: #0b0b19;
}

.body-min-card p {
  font-weight: 400;
  font-size: 14px;
}
.body-min-card h1 {
  color: rgba(255,255,255,0.8);
}

.body-min-card h2 {
  font-size: 22px;
  font-weight: 500;
}

.body-min-card .header {
  grid-row: 2/span 1;
  grid-column: 2/span 1;
  width: 300px;
  height: 400px;
  padding: 5px 20px;
  border-radius: 20px;
  background-image: linear-gradient(#780000 25%, #3cbac7);
}
.body-min-card .header .content {
  padding: 0 15px;
}
.body-min-card .header .content .info {
  bottom: 10px;
}
.body-min-card .header .content .info .link {
  font-size: 16px;
}
.body-min-card .header .content .info .link a {
  color: white;
  text-decoration: underline;
  font-weight: 500;
}

.body-min-card .container {
  grid-row: 2/span 1;
  grid-column: 3/span 1;
  position: relative;
  width: 870px;
  padding: 0 0 0 30px;
  height: 400px;
}
.body-min-card .container a {
  display: inline-block;
  text-decoration: none;
  color: rgba(16, 24, 40, 0.5);
}
.body-min-card .container a:hover {
  background: linear-gradient(to right, #fc9c45 0%, #780000 60%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.body-min-card .container a.tag {
  font-size: 11px;
  text-transform: uppercase;
  font-weight: 500;
  border: 3px solid;
  border-radius: 15px;
  border-color: rgba(255, 255, 255, 0.08);
  padding: 5px 20px;
  margin: 2px 2px;
}
.body-min-card .container a.tag:hover {
  border-color: rgba(16, 24, 40, 0.5);
}

.body-min-card .box {
  position: absolute;
  width: 300px;
  height: 400px;
  padding: 5px 20px;
  border-radius: 20px;
  background-color: white;
  box-shadow: 0px 6px 15px -2px rgba(16, 24, 40, 0.5);
  transition: all 0.2s ease;
}
.body-min-card .box:hover {
  transform: translateY(-20px);
  transition: all 0.2s ease;
}
.body-min-card .box:hover ~ .box {
  transform: translateX(120px);
  transition: all 0.2s ease;
}

.body-min-card .b {
  left: 180px;
}

.body-min-card .c {
  left: 360px;
}

.body-min-card .d {
  left: 540px;
}

.body-min-card .headline {
  font-weight: 300;
  color: #888888;
}

.body-min-card .content {
  position: relative;
  height: 100%;
}

.body-min-card .info {
  position: absolute;
  bottom: 30px;
}
*/

/* ------------- Bouton retour en haut */
.btn-top {
	font-family: var( --e-global-typography-secondary-font-family ), Sans-serif;
	text-shadow: 10px 10px 10px rgba(0, 0, 0, 0.73);
    position: fixed;
    bottom: 10%;
    right: 30px;
    width: 50px;
    height: 50px;
    font-size: 24px;
    transition: background-color 0.3s ease, transform 0.2s ease;
    z-index: 1000;
}
/* Effet hover */
.btn-top:hover {
	transform: scale(1.1);
    /*transform: translateY(-4px);*/
}

/* -------------  fixé et rapetisse au scroll */
/* HEADER ASTRA - NORMAL */
#masthead {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
    transition: all 0.3s ease;
}
/* LOGO */
#masthead .site-logo-img img {
    transition: all 0.3s ease;
    max-height: 80px;
}
/* MENU NORMAL */
.main-header-bar {
    transition: all 0.3s ease;
    padding-top: 20px;
    padding-bottom: 20px;
}
/* HEADER REDUIT AU SCROLL */
/*.site-branding {
    transition: transform 0.3s ease;
}
#masthead.shrink .site-branding {
    transform: scale(0.5);
}*/
#masthead.shrink .main-header-bar {
    padding-top: 8px;
    padding-bottom: 2px;
}
#masthead.shrink .site-logo-img img {
    max-height: 30px;
	max-width: 30px;
}
#masthead.shrink .ast-container {
    padding-top: 14px;
}
#masthead.shrink .ast-builder-grid-row,
#masthead.shrink .ast-primary-header-bar .site-primary-header-wrap,
#masthead.shrink .site-primary-header-wrap {
	max-height: 60px;
	min-height: 30px;
	padding-top: 14px;
}
/* OMBRE AU SCROLL (optionnel) */
#masthead.shrink {
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}
/* ICÔNES MENU - NORMAL */
.main-header-bar .ast-header-icon svg,
.main-header-bar .ast-header-icon i {
    transform: scale(1);
    transition: transform 0.3s ease;
}
/* ICÔNES MENU - REDUIT */
#masthead.shrink .main-header-bar .ast-header-icon svg,
#masthead.shrink .main-header-bar .ast-header-icon i,
#masthead.shrink .main-header-bar .ast-header-icon img {
    transform: scale(0.5); /* -50% */
}
#masthead.shrink .ast-builder-grid-row ast-builder-grid-row-has-sides ast-builder-grid-row-no-center{
	padding-bottom:0px;
}
.main-header-menu > li > a {
    transition: font-size 0.3s ease;
}
#masthead.shrink .main-header-menu > li > a {
    font-size: 10px; /* ≈ -20% */
}
#masthead.shrink .site-header-section .ast-builder-menu{
     transform: scale(0.5); /* -50% */
}
#masthead.shrink .site-branding .site-title{
	font-size: 12px;
}
#masthead.shrink .site-branding .site-description{
	font-size: 10px;
}

/* ESPACE POUR LE CONTENU */
body {
    padding-top: 140px;
}

